Subject: Re: [PATCH] powerpc: Fix irq routing on some PowerMac 32 bits

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 10 Jan 2007 14:58:09 +1100

> Stop here.

Probably the log is just the last console output you got from the early
console before it switched to the main one. Do you use udbg on these
boards for early boot messages ? If yes, have you tried the
udbg-immortal option ? (Or just prevent udbg from unregistering).

Do you have access to a HW debugging tool maybe to trace what's going
on ?

I have no idea what's wrong at this point, though it's likely to be a
problem with your device-tree, I can't verify it without a bit more
debug data. Have you tried adding some debug infos to the new
implementation of pci_device_to_OF_node(), check how it's called and
what it returns ? That might give you a clue about the problem.

Ben.